import { useEffect } from "react";
import MyCenteredSpin from "../../Components/MyCenteredSpin";
import {
  myFetch,
  setUserSessionToLocalStorage,
  showUnkownErrorNotification,
} from "../../utils";
import { useTranslation } from "react-i18next";
import { notification } from "antd";

export default function RedirectToDemo() {
  const { t } = useTranslation();
  const [notificationApi, notificationContextHolder] =
    notification.useNotification();

  useEffect(() => {
    myFetch({
      url: "/user/demo",
      method: "GET",
    })
      .then((response) => {
        setUserSessionToLocalStorage(response.XAuthorization);
        window.location.href = "/";
      })
      .catch(() => showUnkownErrorNotification(notificationApi, t));
  }, []);

  return (
    <>
      {notificationContextHolder}
      <MyCenteredSpin fullHeight />
    </>
  );
}
